Documentation: NexGauge Class Reference

| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NexGauge Class Reference
Nextion Component

NexGauge component. More...

`#include <NexGauge.h>`

Inherits NexObject.

## Public Member Functions

| NexGauge (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
bool | getValue (uint32_t *number)
| Get the value of gauge. More...
bool | setValue (uint32_t number)
| Set the value of gauge. More...
uint32_t | Get_background_color_bco (uint32_t *number)
| Get bco attribute of component. More...
bool | Set_background_color_bco (uint32_t number)
| Set bco attribute of component. More...
uint32_t | Get_font_color_pco (uint32_t *number)
| Get pco attribute of component. More...
bool | Set_font_color_pco (uint32_t number)
| Set pco attribute of component. More...
uint32_t | Get_pointer_thickness_wid (uint32_t *number)
| Get wid attribute of component. More...
bool | Set_pointer_thickness_wid (uint32_t number)
| Set wid attribute of component. More...
uint32_t | Get_background_cropi_picc (uint32_t *number)
| Get picc attribute of component. More...
bool | Set_background_crop_picc (uint32_t number)
| Set picc attribute of component. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexGauge component.

Definition at line 30 of file NexGauge.h.

## Constructor & Destructor Documentation

NexGauge::NexGauge | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 18 of file NexGauge.cpp.

## Member Function Documentation

uint32_t NexGauge::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 46 of file NexGauge.cpp.

uint32_t NexGauge::Get_background_cropi_picc | ( | uint32_t * | number | ) |

Get picc attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 130 of file NexGauge.cpp.

uint32_t NexGauge::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 74 of file NexGauge.cpp.

uint32_t NexGauge::Get_pointer_thickness_wid | ( | uint32_t * | number | ) |

Get wid attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 102 of file NexGauge.cpp.

bool NexGauge::getValue | ( | uint32_t * | number | ) |

Get the value of gauge.

Parameters

  number | - an output parameter to save gauge's value.

Return values

  true | - success.
  false | - failed.

Definition at line 23 of file NexGauge.cpp.

bool NexGauge::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 56 of file NexGauge.cpp.

bool NexGauge::Set_background_crop_picc | ( | uint32_t | number | ) |

Set picc attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 140 of file NexGauge.cpp.

bool NexGauge::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 84 of file NexGauge.cpp.

bool NexGauge::Set_pointer_thickness_wid | ( | uint32_t | number | ) |

Set wid attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 112 of file NexGauge.cpp.

bool NexGauge::setValue | ( | uint32_t | number | ) |

Set the value of gauge.

Parameters

  number | - the value of gauge.

Return values

  true | - success.
  false | - failed.

Definition at line 32 of file NexGauge.cpp.

The documentation for this class was generated from the following files:

- NexGauge.h
- NexGauge.cpp